"No compiled classes" error when compiling projects in LANSA Integrator Studio when using Java 1.7

Date:9 Oct 2013
Product/Release:LANSA Integrator - V12 SP1 EPC 869
Abstract:Compiling with Integrator Studio wizard using Java 1.7 in V12 EPC 869 generates errors.
Submitted By:LANSA Technical Support

Description:

The LANSA Integrator Studio wizard compilers have been modified in V13 to handle the Java 1.7 compiler changes. However, Integrator Studio in V12 EPC869 is unable to compile projects when using Java 1.7. The following error is generated when compiling using any one of the wizards in Integrator Studio.

LANSA Integrator SOAP Wizard Exception

Solution

If you encounter the "No compiled classes" error using LANSA Integrator V12 SP1 with Java 1.7, there are two possible workarounds :

  1. Upgrade LANSA Integrator to V13 in order to use Java 1.7
  2.  Download and install an earlier version of Java and ensure this is used when starting Studio. Refer to 7.1.2 Set Java Compiler and Java Runtime in the LANSA Integrator Guide.